MITRE ATT&CK 택틱 조회

특정 MITRE ATT&CK 택틱의 상세 정보를 조회합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/mitre-attack/tactics/:mitre_id
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/mitre-attack/tactics/TA0001
요청 매개변수
필수타입설명비고
mitre_idO문자열MITRE ATT&CK 택틱 ID경로 파라미터

정상 응답

{
  "tactic": {
    "mitre_id": "TA0001",
    "name": "Initial Access",
    "description": "The adversary is trying to get into your network.",
    "url": "https://attack.mitre.org/tactics/TA0001",
    "techniques": [
      {
        "mitre_id": "T1190",
        "name": "Exploit Public-Facing Application",
        "description": "Adversaries may attempt to take advantage of a weakness in an Internet-facing computer or program using software, data, or commands in order to cause unintended or unanticipated behavior."
      },
      {
        "mitre_id": "T1133",
        "name": "External Remote Services",
        "description": "Adversaries may leverage external-facing remote services to initially access and/or persist within a network."
      }
    ]
  }
}
  • tactic (맵): 택틱 정보
    • mitre_id (문자열): MITRE ATT&CK 택틱 ID
    • name (문자열): 택틱 이름
    • description (문자열): 택틱 설명
    • url (문자열): MITRE ATT&CK 공식 문서 URL
    • techniques (배열): 연관된 테크닉 목록
      • mitre_id (문자열): MITRE ATT&CK 테크닉 ID
      • name (문자열): 테크닉 이름
      • description (문자열): 테크닉 설명

오류 응답

택틱이 존재하지 않는 경우

HTTP 상태 코드 200 응답

{
  "tactic": null
}